# uwp-data-export

A NodeJS CLI tool to use [gamesaveutil.exe](https://github.com/MicrosoftDocs/xbox-live-docs/blob/docs/xbox-live-docs-pr/features/cloud-storage/connected-storage/concepts/live-connected-storage-xb-storage.md) to export UWP game app data that uses Xbox Live Connected Storage and recreate the file directory.

## Setup

1. Install Windows 10 Kit 10.0.19041.0 from <https://go.microsoft.com/fwlink/?linkid=2120843>. All default choices should suffice.
1. Install NodeJS (LTS v16.15.0 or higher) from <https://nodejs.org/en/download/>
1. Open a terminal and install the package with `npm i -g uwp-data-export`
1. Run

```sh
npx uwp-export -p pfn -s scid
```

If exporting data for [Levelhead](https://www.xbox.com/en-US/games/store/levelhead/9pjzbb8fwk8h), just run

```sh
npx uwp-export
```

1. The terminal's working directory should now have An `uwpData.xml` file
1. If there are save data, an `export` folder should also be created, which contains the save data files decoded from base64 to UTF-8.
